##
##  Makefile to keep the SSLCACertificatePath up to date
##  Copyright (c) 1998 Ralf S. Engelschall, All Rights Reserved. 
##

update:
	-@rm -f *.0
	-@for file in *.pem; do \
	    if [ ".`grep 'HAS TO BE REPLACED' $$file`" != . ]; then \
			echo "$$file [skipped - is still a dummy file]"; \
		else \
    	    hash="`ssleay x509 -noout -hash <$$file`"; \
		    echo "$$file -> $$hash.0"; \
		    rm -f $$hash.0; \
		    ln -s $$file $$hash.0; \
		fi \
	done

